#
# Conditional build:
%bcond_with	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_with	doc	# Sphinx documentation
%bcond_with	tests	# unit tests

%define module	pygments
Summary:	A generic syntax highlighter as Python 2.x module
Summary(pl.UTF-8):	Moduł Pythona 2.x do ogólnego podświetlania składni
Name:		python-%{module}
Version:	2.5.2
Release:	4%{?tld}
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/pygments/
Source0:	https://files.pythonhosted.org/packages/source/P/Pygments/Pygments-%{version}.tar.gz
# Source0-md5:	465a35559863089d959d783a69f79b9f
Patch0:		rpmspec.patch
URL:		http://pygments.org/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
Requires:	python-setuptools
Provides:	python-Pygments = %{version}-%{release}
Obsoletes:	python-Pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%package -n python3-%{module}
Summary:	Generic syntax highlighter as Python 3.x module
Summary(pl.UTF-8):	Moduł Pythona 3.x do ogólnego podświetlania składni
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.5
Requires:	python3-setuptools
Conflicts:	python-pygments < 2.5.2

%description -n python3-%{module}
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -n python3-%{module} -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%package apidocs
Summary:	API documentation for Python Pygments module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Pygments
Group:		Documentation

%description apidocs
API documentation for Python Pygments module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Pygments.

%prep
%setup -q -n Pygments-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-2}

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-3}
%endif

%if %{with python3}
ln -sf pygmentize-3 $RPM_BUILD_ROOT%{_bindir}/pygmentize
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/pygmentize-2
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/pygmentize
%attr(755,root,root) %{_bindir}/pygmentize-3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_static,docs,*.html,*.js}
%endif
%changelog
* Tue Feb 22 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-pygments.git;a=log;h=37b19d3b8fc96d503c7bc34b0d8428e67d2c6862

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 37b19d3
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 449cb06
- release 3 (by relup.sh)

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 4249936
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> f111e54
- add Conflicts to handle default script move

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 734c86c
- updated to 2.5.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bf318b7
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Sep 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 3bee43f
- updated to 2.4.2
- removed obsolete py3.7 patch

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> e96db9a
- added py3.7 patch (fix StopIteration issues with python 3.7)
- run unit tests, package Sphinx docs
- release 3

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5be28b4
- release 2 (by relup.sh)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> ad49381
- updated to 2.2.0

* Mon Jan 16 2017 Jakub Bogusz <qboosh@pld-linux.org> de554ad
- updated to 2.1.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fb3990
- python3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2b1ed12
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> be78b89
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cd0bf67
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b2fb6f9
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a62d207
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 61a1fd7
- noted download URL

* Mon Jun 15 2015 Elan Ruusamäe <glen@delfi.ee> 971b9c5
- improvements to rpmspec lexer

* Mon Jun 15 2015 Elan Ruusamäe <glen@delfi.ee> 2198762
- syntax not py 2.4 compatible

